%bcond_without tests

# Fail to build
%bcond_with docs

%global pypi_name chaospy

%global desc %{expand: \
Chaospy is a numerical tool for performing uncertainty quantification using
polynomial.}

Name:           python-%{pypi_name}
Version:        3.0.3
Release:        1%{?dist}
Summary:        Numerical tool for performing uncertainty quantification using polynomial
License:        MIT
URL:            https://github.com/jonathf/chaospy
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
%{desc}

%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires: python3-devel
BuildRequires: %{py3_dist setuptools}
BuildRequires: %{py3_dist pytest}
BuildRequires: %{py3_dist pytest-runner}
BuildRequires: %{py3_dist pytest-cov}
BuildRequires: %{py3_dist scikit-learn}
BuildRequires: %{py3_dist seaborn}
BuildRequires: %{py3_dist networkx}
BuildRequires: %{py3_dist numpy}
BuildRequires: %{py3_dist scipy}
BuildRequires: %{py3_dist matplotlib}
BuildRequires: %{py3_dist seaborn}

%if %{with docs}
BuildRequires: %{py3_dist sphinx}
BuildRequires: %{py3_dist sphinxcontrib-bibtex}
%endif

Requires: %{py3_dist networkx}
Requires: %{py3_dist numpy}
Requires: %{py3_dist scipy}
Requires: %{py3_dist scikit-learn}

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{desc}

%package doc
Summary:        %{summary}

%description doc
Documentation for %{name}.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%if %{with docs}
pushd doc
    make SPHINXBUILD=sphinx-build-3 html
    rm -rf build/.doctrees
    rm -rf build/.buildinfo
popd
%endif

%install
%py3_install

find tutorial/Heaviside.py -type f | xargs chmod 0644 || true
find tutorial/flow_in_serial_layers.py -type f | xargs chmod 0644 || true
find tutorial/src/make.sh -type f | xargs chmod 0644 || true

%check
%if %{with tests}
export PYTHONPATH=$RPM_BUILD_ROOT/%{python3_sitelib}
pytest-%{python3_version} tests
%endif

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/*-py?.?.egg-info

%files doc
%license LICENSE.txt
%doc tutorial
%if %{with docs}
%doc doc/build/html
%endif

%changelog
* Mon Apr 08 2019 Luis Bazan <lbazan@fedoraproject.org> - 3.0.3-1
- New upstream version

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Nov 29 2018 Luis Bazan <lbazan@fedoraproject.org> - 2.3.5-2
- permissions fixed

* Tue Nov 27 2018 Luis Bazan <lbazan@fedoraproject.org> - 2.3.5-1
- New upstream
- change license to MIT

* Mon Nov 26 2018 Luis Bazan <lbazan@fedoraproject.org> - 2.3.4-1
- New upstream
- Fix test thanks (Ankur)
